from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XLayoutManagerListener(XEventListener, Protocol):
    def layoutEvent(self, aSource: EventObject, eLayoutEvent: int, aInfo: Any) -> None: ...
